Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2010.50   

Story Points:    

Description

Subtasks:

Task # 891: schema change procedure Closed

History

#1 - 2010-10-07 19:53 - Matthew Jones

Release cycle needs to handle transitions through at least three stages:

a) Development: current active changes to introduce new functionality

b) Staging: test environment

c) Production: versions deployed for external consumption

At each stage, we need to consider how to version and introduce changes in:

a) schemas that define information models

b) APIs that define service and communicaiton interfaces

c) components and libraries that implement a) and b) and that might have dependencies on each other.

#2 - 2010-11-08 18:09 - Dave Vieglais

- Position set to 5

- Target version set to Sprint-2010.46

- Position deleted (31)

#3 - 2010-11-22 17:34 - Dave Vieglais

- Position deleted (37)

- Position set to 29

- Target version changed from Sprint-2010.46 to Sprint-2010.47

#4 - 2010-11-30 18:18 - Dave Vieglais

- Target version changed from Sprint-2010.47 to Sprint-2010.48

- Position deleted (38)

- Position set to 2

#5 - 2010-12-13 18:34 - Dave Vieglais

- Target version changed from Sprint-2010.48 to Sprint-2010.50

- Position set to 8

- Position deleted (31)
#6 - 2011-01-03 03:02 - Dave Vieglais

This is documented at

https://repository.dataone.org/documents/Projects/cicore/development/build/html/software_versioning.html

#7 - 2011-01-03 03:04 - Dave Vieglais

- Status changed from New to Closed
